Video API, REST: Stream.Update
Updates an existing stream's metadata and settings.
Only fields specified in the field_mask will be updated.
HTTP request
PATCH https://video.api.cloud.yandex.net/video/v1/streams/{streamId}
Path parameters
|
Field |
Description |
|
streamId |
string Required field. ID of the stream. The maximum string length in characters is 50. |
Body parameters
{
"fieldMask": "string",
"title": "string",
"description": "string",
"thumbnailId": "string",
"autoPublish": "boolean",
"labels": "object",
// Includes only one of the fields `onDemand`, `schedule`
"onDemand": "object",
"schedule": {
"startTime": "string",
"finishTime": "string"
}
// end of the list of possible fields
}
|
Field |
Description |
|
fieldMask |
string (field-mask) Required field. A comma-separated names off ALL fields to be updated. If |
|
title |
string Stream title. The maximum string length in characters is 300. |
|
description |
string Stream description. The maximum string length in characters is 4000. |
|
thumbnailId |
string ID of the thumbnail. The maximum string length in characters is 50. |
|
autoPublish |
boolean Automatically publish stream when ready. |
|
labels |
object (map<string, string>) New custom labels for the stream as The maximum string length in characters for each value is 63. The maximum string length in characters for each key is 63. Each key must match the regular expression |
|
onDemand |
object On demand stream. Includes only one of the fields Stream type. |
|
schedule |
Scheduled stream. Includes only one of the fields Stream type. |
ScheduleParams
|
Field |
Description |
|
startTime |
string (date-time) Required field. Scheduled time when the stream should automatically start. String in RFC3339 To work with values in this field, use the APIs described in the |
|
finishTime |
string (date-time) Required field. Scheduled time when the stream should automatically finish. String in RFC3339 To work with values in this field, use the APIs described in the |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |